summaryrefslogtreecommitdiffstats
path: root/.scripts/tinc_setup/build_arch.sh
diff options
context:
space:
mode:
authorFelix Richter <github@syntax-fehler.de>2011-05-19 21:04:56 +0200
committerFelix Richter <github@syntax-fehler.de>2011-05-19 21:04:56 +0200
commite110354524568f4365078ca0a37d9b44d57596a6 (patch)
tree7fd2982f8dbf9dde0af56f9a3c3c1018986b64cb /.scripts/tinc_setup/build_arch.sh
parentee453a6421300854a299a4954744c8e73f23913e (diff)
cleaned up the script mess
README: added README files for the whole directory as well as the subdirs adv_graphgen/* : contains the graphgen files tinc_setup/* : contains the build script and the bootstrap script tinc_multicast/* : contains the multicast script
Diffstat (limited to '.scripts/tinc_setup/build_arch.sh')
-rwxr-xr-x.scripts/tinc_setup/build_arch.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.scripts/tinc_setup/build_arch.sh b/.scripts/tinc_setup/build_arch.sh
new file mode 100755
index 00000000..5ef5d765
--- /dev/null
+++ b/.scripts/tinc_setup/build_arch.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+sudo pacman -S openssl gcc lzo
+curl http://www.tinc-vpn.org/packages/tinc-1.0.13.tar.gz | tar xz
+cd tinc-1.0.13
+./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+make
+sudo make install
+cd ..
+
+echo "overwriting python to python2"
+sed 's/\/usr\/bin\/python/\/usr\/bin\/python2/g' install.sh >install2.sh
+mv install2.sh install.sh
+